/* JFox, the OpenSource J2EE Application Server
 *
 * Distributable under GNU LGPL license by gun.org
 * more details please visit http://www.huihoo.org/jfox
 */

package org.jfox.ejb;

import javax.ejb.EnterpriseBean;

import org.jfox.pool.AbstractPoolableObject;

/**
 * 封装一个 EJBObject Bean instance , 使其可以被缓存到 ObjectPool 中
 *
 * @author <a href="mailto:young_yy@hotmail.com">Young Yang</a>
 */

public class EJBPoolableObject extends AbstractPoolableObject {
    private EnterpriseBean instance = null;

//  public EJBPoolableObject(EnterpriseBean instance) {
//    this.instance = instance;
//  }

    void setBeanInstance(EnterpriseBean bean) {
        this.instance = bean;
    }

    public EnterpriseBean getBeanInstance() {
        return instance;
    }

    public void activate() throws Exception {
        super.activate();
    }

    public void passivate() throws Exception {
        super.passivate();
    }

    public static void main(String[] args) {

    }
}
